Skip to main content
GET
/
v1
/
template
/
{template_slug}
Fetch Template details
curl --request GET \
  --url https://hub.suprsend.com/v1/template/{template_slug} \
  --header 'Authorization: Bearer <token>'
{
  "id": "166277",
  "name": "Task Reminder",
  "slug": "task-reminder",
  "description": "Batched template for all pending tasks",
  "is_active": true,
  "default_language": {
    "name": "English",
    "slug": "en"
  },
  "created_at": "2023-01-25T04:53:39.237291Z",
  "updated_at": "2023-08-28T05:06:22.461443Z",
  "updated_by": {
    "name": "team_member",
    "email": "user@example.com"
  },
  "last_triggered_at": "2023-08-10T12:44:03.361158Z",
  "is_auto_translate_enabled": false,
  "enabled_languages": [
    "en",
    "fr",
    "es"
  ],
  "channels": [
    {
      "id": "1244",
      "channel": {
        "name": "Email",
        "slug": "email",
        "is_template_approval_needed": true
      },
      "is_active": true,
      "is_enabled": true,
      "created_at": "2023-01-25T04:53:39.268299Z",
      "updated_at": "2023-01-25T04:53:39.404273Z",
      "disabled_languages": [],
      "versions": []
    }
  ],
  "tags": [
    {
      "id": "01H9HPT1C5ABN61S12D85J9DJ7",
      "name": "tag"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt

Use this file to discover all available pages before exploring further.

Legacy API. This is the older endpoint to fetch template details. We have released template 2.0 with variant support due to which the content structure and template APIs have changed. The new APIs are listed under Management API → Templates.This endpoint continues to return the live and draft content of templates created before 14 April 2026. Templates created on or after that date are only available through the new APIs.

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Path Parameters

template_slug
string
required

Template group slug you want to fetch content details. You'll get the template slug by clicking on copy button next to template group name on SuprSend dashboard -> template details page.

Response

200 - application/json

200

id
integer

internal template_id

name
string

template name given by user

slug
string

unique template slug generated from name

description
string | null

template description given by user

is_active
boolean

is true when atleast 1 template version is live for the channel

default_language
object
created_at
string<date-time>

template creation time

updated_at
string<date-time>

latest template modification time

updated_by
object
last_triggered_at
string<date-time>

time when the workflow was last triggered

is_auto_translate_enabled
boolean
Example:

false

enabled_languages
string[]
Example:
{
"english": {
"summary": "English language",
"value": "en"
},
"french": {
"summary": "French language",
"value": "fr"
},
"spanish": {
"summary": "Spanish language",
"value": "es"
}
}
channels
object[]

array of all template enabled channels along with their language and active status

tags
object[]

tags added in the template group